// Code generated by mockery v2.9.4. DO NOT EDIT.

package datamock

import (
	mock "github.com/stretchr/testify/mock"
	data "gitlab.com/my-group322/pictures/pics-svc/internal/data"

	resources "gitlab.com/my-group322/pictures/pics-svc/resources"
)

// ChatsQ is an autogenerated mock type for the ChatsQ type
type ChatsQ struct {
	mock.Mock
}

// AddMessage provides a mock function with given fields: message
func (_m *ChatsQ) AddMessage(message *data.Message) error {
	ret := _m.Called(message)

	var r0 error
	if rf, ok := ret.Get(0).(func(*data.Message) error); ok {
		r0 = rf(message)
	} else {
		r0 = ret.Error(0)
	}

	return r0
}

// Create provides a mock function with given fields: chat
func (_m *ChatsQ) Create(chat *data.Chat) (int64, error) {
	ret := _m.Called(chat)

	var r0 int64
	if rf, ok := ret.Get(0).(func(*data.Chat) int64); ok {
		r0 = rf(chat)
	} else {
		r0 = ret.Get(0).(int64)
	}

	var r1 error
	if rf, ok := ret.Get(1).(func(*data.Chat) error); ok {
		r1 = rf(chat)
	} else {
		r1 = ret.Error(1)
	}

	return r0, r1
}

// GetByChattingWithAndPicID provides a mock function with given fields: userID, picID
func (_m *ChatsQ) GetByChattingWithAndPicID(userID string, picID int64) (*data.Chat, error) {
	ret := _m.Called(userID, picID)

	var r0 *data.Chat
	if rf, ok := ret.Get(0).(func(string, int64) *data.Chat); ok {
		r0 = rf(userID, picID)
	} else {
		if ret.Get(0) != nil {
			r0 = ret.Get(0).(*data.Chat)
		}
	}

	var r1 error
	if rf, ok := ret.Get(1).(func(string, int64) error); ok {
		r1 = rf(userID, picID)
	} else {
		r1 = ret.Error(1)
	}

	return r0, r1
}

// GetByID provides a mock function with given fields: chatID
func (_m *ChatsQ) GetByID(chatID int64) (*data.Chat, error) {
	ret := _m.Called(chatID)

	var r0 *data.Chat
	if rf, ok := ret.Get(0).(func(int64) *data.Chat); ok {
		r0 = rf(chatID)
	} else {
		if ret.Get(0) != nil {
			r0 = ret.Get(0).(*data.Chat)
		}
	}

	var r1 error
	if rf, ok := ret.Get(1).(func(int64) error); ok {
		r1 = rf(chatID)
	} else {
		r1 = ret.Error(1)
	}

	return r0, r1
}

// GetChatHistory provides a mock function with given fields: chatID, params
func (_m *ChatsQ) GetChatHistory(chatID int64, params resources.QueryParams) ([]data.Message, error) {
	ret := _m.Called(chatID, params)

	var r0 []data.Message
	if rf, ok := ret.Get(0).(func(int64, resources.QueryParams) []data.Message); ok {
		r0 = rf(chatID, params)
	} else {
		if ret.Get(0) != nil {
			r0 = ret.Get(0).([]data.Message)
		}
	}

	var r1 error
	if rf, ok := ret.Get(1).(func(int64, resources.QueryParams) error); ok {
		r1 = rf(chatID, params)
	} else {
		r1 = ret.Error(1)
	}

	return r0, r1
}

// Select provides a mock function with given fields: pictureID
func (_m *ChatsQ) Select(pictureID int64) ([]data.ChatFullInfo, error) {
	ret := _m.Called(pictureID)

	var r0 []data.ChatFullInfo
	if rf, ok := ret.Get(0).(func(int64) []data.ChatFullInfo); ok {
		r0 = rf(pictureID)
	} else {
		if ret.Get(0) != nil {
			r0 = ret.Get(0).([]data.ChatFullInfo)
		}
	}

	var r1 error
	if rf, ok := ret.Get(1).(func(int64) error); ok {
		r1 = rf(pictureID)
	} else {
		r1 = ret.Error(1)
	}

	return r0, r1
}
